﻿<?php

$CONFIG['db_host']  = 'localhost';
$CONFIG['db_user']  = '';
$CONFIG['db_pass']  = '';
$CONFIG['db_name']  = '';
$CONFIG['db_table'] = 'players_time';

error_reporting(0);

try {
	$pdo = new PDO("mysql:host={$CONFIG['db_host']};dbname={$CONFIG['db_name']}", $CONFIG['db_user'], $CONFIG['db_pass']);
}

catch(PDOException $exception) {
	print "<h3>Ошибка соединения с базой данных</h3>";
	print $exception->getMessage();
	exit;
}

class Czas {
	public $db = null;
	public $config = array();
	
	public function __construct($pdo_handle, $config) {
		$this->db      = $pdo_handle;
		$this->config  = $config;
	}
	
	public function getRecord($start = 0, $count = 100, $order = array(), $search) {
		$start = intval($start);
		$count = intval($count);
		
		$sql = "SELECT * FROM `{$this->config['db_table']}` ";
		
		if(isset($search['nick'])) {
			$search['nick'] = addslashes($search['nick']);
			$sql .= "where `nick` LIKE '%{$search['nick']}%' ";
		}
		
		if(isset($order['type']) && isset($order['by'])) {
			$by    = addslashes($order['by']);
			$type  = addslashes($order['type']);
			
			
			$sql .= "order by `{$by}` {$type} ";
		}
		
		$sql .= "LIMIT {$start}, {$count} ";
	
		$res = $this->db->query($sql);
		return $res->fetchAll();
	}
}
$mq = new Czas($pdo, $CONFIG);